Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib.sdk.util
Class CIBObjectNameMapFactory

    java.lang.Object
      com.sun.mfwk.cib.sdk.util.CIBObjectNameMapFactory

public class CIBObjectNameMapFactory
extends java.lang.Object

Provides methods to build the mapping between the CIB providers and the instrumentation

Method Summary
`static java.util.Map` | `getCIBApplicationConfigMap()` Returns a Map
`static java.util.Map` | `getCIBApplicationConfigMap(javax.management.ObjectName configName)` Returns a Map
`static java.util.Map` | `getCIBApplicationStateMap()`
`static java.util.Map` | `getCIBApplicationStateMap(javax.management.ObjectName name)`
`static java.util.Map` | `getCIBExternalResourceConfigMap(javax.management.ObjectName configName)` Returns a Map
`static java.util.Map` | `getCIBExternalResourceConfigMap(java.lang.String name)`
`static java.util.Map` | `getCIBExternalResourcePerfStatsMap(javax.management.ObjectName extResourceName)` Build a Map for a CIBExternalResource
`static java.util.Map` | `getCIBExternalResourcePerfStatsMap(java.lang.String name)` Build a Map for the CIBExternalResourcePerfStats
`static java.util.Map` | `getCIBExternalResourceStateMap(javax.management.ObjectName extResourceName)`
`static java.util.Map` | `getCIBExternalResourceStateMap(java.lang.String name)`
`static java.util.Map` | `getCIBResourceConfigMap(javax.management.ObjectName configName)` Returns a Map
`static java.util.Map` | `getCIBResourceConfigMap(java.lang.String name)` Returns a Map
`static java.util.Map` | `getCIBResourcePerfStatsMap(javax.management.ObjectName resourceName)`
`static java.util.Map` | `getCIBResourcePerfStatsMap(java.lang.String name)`
`static java.util.Map` | `getCIBResourceStateMap(javax.management.ObjectName resourceName)`
`static java.util.Map` | `getCIBResourceStateMap(java.lang.String name)`
`static java.util.Map` | `getCIBServiceConfigMap(javax.management.ObjectName configName)` Return a Map
`static java.util.Map` | `getCIBServiceConfigMap(java.lang.String name)` Return a Map
`static java.util.Map` | `getCIBServicePerfStatsMap(javax.management.ObjectName serviceName)` Build a Map for the CIBService
`static java.util.Map` | `getCIBServicePerfStatsMap(java.lang.String name)` Build a Map for the CIBServicePerfStats
`static java.util.Map` | `getCIBServiceStateMap(javax.management.ObjectName serviceName)` Build a Map for the ObjectName
`static java.util.Map` | `getCIBServiceStateMap(java.lang.String name)` Build a Map for the CIBServicePerfStats
`static java.util.Map` | `getInstrumManagementMap()`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getCIBApplicationStateMap

    public static java.util.Map getCIBApplicationStateMap(javax.management.ObjectName name)

  Parameters:
    `name` - ObjectName
  Returns:
    Map

### getCIBApplicationStateMap

    public static java.util.Map getCIBApplicationStateMap()
                                                   throws javax.management.MalformedObjectNameException

  Throws:
    `javax.management.MalformedObjectNameException`

### getCIBServiceStateMap

    public static java.util.Map getCIBServiceStateMap(javax.management.ObjectName serviceName)
                                               throws javax.management.MalformedObjectNameException

  Build a Map for the ObjectName

  Parameters:
    `serviceName` - ObjectName
  Returns:
    Map
  Throws:
    `javax.management.MalformedObjectNameException`

### getCIBServiceStateMap

    public static java.util.Map getCIBServiceStateMap(java.lang.String name)
                                               throws javax.management.MalformedObjectNameException

  Build a Map for the CIBServicePerfStats

  Parameters:
    `name` - String
  Returns:
    Map
  Throws:
    `javax.management.MalformedObjectNameException`

### getCIBServicePerfStatsMap

    public static java.util.Map getCIBServicePerfStatsMap(javax.management.ObjectName serviceName)
                                                   throws javax.management.MalformedObjectNameException

  Build a Map for the CIBService

  Parameters:
    `serviceName` - ObjectName
  Returns:
    Map
  Throws:
    `javax.management.MalformedObjectNameException`

### getCIBServicePerfStatsMap

    public static java.util.Map getCIBServicePerfStatsMap(java.lang.String name)
                                                   throws javax.management.MalformedObjectNameException

  Build a Map for the CIBServicePerfStats

  Parameters:
    `name` - String
  Returns:
    Map
  Throws:
    `javax.management.MalformedObjectNameException`

### getCIBExternalResourcePerfStatsMap

    public static java.util.Map getCIBExternalResourcePerfStatsMap(java.lang.String name)
                                                            throws javax.management.MalformedObjectNameException

  Build a Map for the CIBExternalResourcePerfStats

  Parameters:
    `name` - String
  Returns:
    Map
  Throws:
    `javax.management.MalformedObjectNameException`

### getCIBExternalResourcePerfStatsMap

    public static java.util.Map getCIBExternalResourcePerfStatsMap(javax.management.ObjectName extResourceName)
                                                            throws javax.management.MalformedObjectNameException

  Build a Map for a CIBExternalResource

  Parameters:
    `extResourceName` - ObjectName
  Returns:
    Map
  Throws:
    `javax.management.MalformedObjectNameException`

### getCIBExternalResourceStateMap

    public static java.util.Map getCIBExternalResourceStateMap(java.lang.String name)
                                                        throws javax.management.MalformedObjectNameException

  Parameters:
    `name` - String
  Returns:
    Map
  Throws:
    `javax.management.MalformedObjectNameException`

### getCIBExternalResourceStateMap

    public static java.util.Map getCIBExternalResourceStateMap(javax.management.ObjectName extResourceName)
                                                        throws javax.management.MalformedObjectNameException

  Parameters:
    `extResourceName` - ObjectName
  Returns:
    Map
  Throws:
    `javax.management.MalformedObjectNameException`

### getCIBResourcePerfStatsMap

    public static java.util.Map getCIBResourcePerfStatsMap(java.lang.String name)
                                                    throws javax.management.MalformedObjectNameException

  Parameters:
    `name` - String
  Returns:
    Map
  Throws:
    `javax.management.MalformedObjectNameException`

### getCIBResourcePerfStatsMap

    public static java.util.Map getCIBResourcePerfStatsMap(javax.management.ObjectName resourceName)
                                                    throws javax.management.MalformedObjectNameException

  Parameters:
    `resourceName` - ObjectName
  Returns:
    Map
  Throws:
    `javax.management.MalformedObjectNameException`

### getCIBResourceStateMap

    public static java.util.Map getCIBResourceStateMap(java.lang.String name)
                                                throws javax.management.MalformedObjectNameException

  Parameters:
    `name` - String
  Returns:
    Map
  Throws:
    `javax.management.MalformedObjectNameException`

### getCIBResourceStateMap

    public static java.util.Map getCIBResourceStateMap(javax.management.ObjectName resourceName)
                                                throws javax.management.MalformedObjectNameException

  Parameters:
    `resourceName` - ObjectName
  Returns:
    Map
  Throws:
    `javax.management.MalformedObjectNameException`

### getCIBApplicationConfigMap

    public static java.util.Map getCIBApplicationConfigMap()
                                                    throws javax.management.MalformedObjectNameException

  Returns a Map

  Returns:
    Map
  Throws:
    `javax.management.MalformedObjectNameException`

### getCIBApplicationConfigMap

    public static java.util.Map getCIBApplicationConfigMap(javax.management.ObjectName configName)
                                                    throws javax.management.MalformedObjectNameException

  Returns a Map

  Parameters:
    `configName` - ObjectName
  Returns:
    Map
  Throws:
    `javax.management.MalformedObjectNameException`

### getCIBServiceConfigMap

    public static java.util.Map getCIBServiceConfigMap(java.lang.String name)
                                                throws javax.management.MalformedObjectNameException

  Return a Map

  Parameters:
    `name` - String
  Returns:
    Map
  Throws:
    `javax.management.MalformedObjectNameException`

### getCIBServiceConfigMap

    public static java.util.Map getCIBServiceConfigMap(javax.management.ObjectName configName)
                                                throws javax.management.MalformedObjectNameException

  Return a Map

  Parameters:
    `configName` - ObjectName
  Returns:
    Map
  Throws:
    `javax.management.MalformedObjectNameException`

### getCIBExternalResourceConfigMap

    public static java.util.Map getCIBExternalResourceConfigMap(java.lang.String name)
                                                         throws javax.management.MalformedObjectNameException

  Parameters:
    `name` - String
  Returns:
    Map
  Throws:
    `javax.management.MalformedObjectNameException`

### getCIBExternalResourceConfigMap

    public static java.util.Map getCIBExternalResourceConfigMap(javax.management.ObjectName configName)
                                                         throws javax.management.MalformedObjectNameException

  Returns a Map

  Parameters:
    `configName` - ObjectName
  Returns:
    Map
  Throws:
    `javax.management.MalformedObjectNameException`

### getCIBResourceConfigMap

    public static java.util.Map getCIBResourceConfigMap(java.lang.String name)
                                                 throws javax.management.MalformedObjectNameException

  Returns a Map

  Parameters:
    `name` - String
  Returns:
    Map
  Throws:
    `javax.management.MalformedObjectNameException`

### getCIBResourceConfigMap

    public static java.util.Map getCIBResourceConfigMap(javax.management.ObjectName configName)
                                                 throws javax.management.MalformedObjectNameException

  Returns a Map

  Parameters:
    `configName` - ObjectName
  Returns:
    Map
  Throws:
    `javax.management.MalformedObjectNameException`

### getInstrumManagementMap

    public static java.util.Map getInstrumManagementMap()
                                                 throws javax.management.MalformedObjectNameException

  Returns:
    Map
  Throws:
    `javax.management.MalformedObjectNameException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD